'use strict';

var homepageController = [
    '$location',
    '$scope',
    'GeneanetDevice',
    'ConfigurationService',
    'ProjetService',
    function($location, $scope, GeneanetDevice, ConfigurationService, ProjetService) {
        document.addEventListener('deviceready', GeneanetDevice.determineOrientationCurrentPage);

        ProjetService.ensureProjetsLoaded().then(function () {
            ProjetService.resetContext();

            ConfigurationService.add('first_help_read', true, function(){
                $scope.$apply(function() {
                    $location.path('/configuration/help/');
                });
            });

            ConfigurationService.add('picturesPublished', 0, function() {
                ConfigurationService.add('dateStartCount', (new Date()).toString());
            });
        });
    }
];