'use strict';

/* Services */


/**
 * Ici on ne définit que les services SPÉCIFIQUES à Sauvons nos tombes
 */
var sauvonsTombesServices = angular.module('sauvonsTombesServices',
    [
        'ngResource'
    ]
);

// Service qui gère l'accès à IndexedDB.
sauvonsTombesServices.service('IndexedDBService', indexedDBService);

// Service qui gère les migrations de données.
sauvonsTombesServices.service('MigrationService', migrationService);

// Service qui gère les projets.
sauvonsTombesServices.service('ProjetService', projetService);

// Service qui gère la configuration.
sauvonsTombesServices.service('ConfigurationService', configurationService);

// Service qui gère la connexion.
sauvonsTombesServices.service('ConnexionService', connexionService);

